Bug 22410 - Update request: nvidia340 340.106
Summary: Update request: nvidia340 340.106
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-64-OK MGA6-32-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2018-01-17 13:37 CET by Thomas Backlund
Modified: 2018-01-22 22:03 CET (History)
4 users (show)

See Also:
Source RPM: nvidia340
CVE:
Status comment:


Attachments

Description Thomas Backlund 2018-01-17 13:37:08 CET
For testers, this should be tested on both arches...

The same driver has already been uploaded to cauldron.

Advisory:
Updated nvidia340 driver improves support for KPTI enabled kernels

This update provides version 340.106 from the upstream R340 branch,
improving support for kernels with the kernel page table isolation
enabled.

References:
http://www.nvidia.com/Download/driverResults.aspx/130042/en-us



SRPM:
nvidia340-340.106-1.mga6.nonfree.src.rpm


i586:
dkms-nvidia340-340.106-1.mga6.nonfree.i586.rpm
nvidia340-cuda-opencl-340.106-1.mga6.nonfree.i586.rpm
nvidia340-devel-340.106-1.mga6.nonfree.i586.rpm
nvidia340-doc-html-340.106-1.mga6.nonfree.i586.rpm
x11-driver-video-nvidia340-340.106-1.mga6.nonfree.i586.rpm


x86_64:
dkms-nvidia340-340.106-1.mga6.nonfree.x86_64.rpm
nvidia340-cuda-opencl-340.106-1.mga6.nonfree.x86_64.rpm
nvidia340-devel-340.106-1.mga6.nonfree.x86_64.rpm
nvidia340-doc-html-340.106-1.mga6.nonfree.x86_64.rpm
x11-driver-video-nvidia340-340.106-1.mga6.nonfree.x86_64.rpm
Comment 1 Thomas Andrews 2018-01-17 20:17:12 CET
Hardware: ASRock motherboard, AMD Athlon X2 7750 processor, 8GB RAM, Geforce 9800GT video card, Atheros wifi.

On a 64-bit Plasma install, server kernel 4.14.13: Packages installed cleanly. As is usual with Plasma on this machine, the Plasma "Leave" functions were unresponsive. "Reboot" from Konsole had to be used to restart the system. After the reboot, I tried all the usual suspects, and everything looked good. Looks OK for 64-bit on this hardware.

On a 32-bit Xfce install, server kernel 4.14.13: Packages installed cleanly. Unlike Plasma, the Xfce "restart" panel icon was functional. After the reboot, I again tried all the usual suspects, and everything looked good. Looks OK for 32-bit on this hardware.

CC: (none) => andrewsfarm

Comment 2 PC LX 2018-01-18 20:26:41 CET
Installed and tested without issues.

Tests included normal desktop usage for about one day, multiple desktop sessions, 3D OpenGL apps and games, steam games, hardware accelerated (vdpau) video playback, VirtualBox VMs and more.

System: Mageia 6, Plasma DE with effects enabled, LXQT DE, x86_64, Intel CPU, nVidia Geforce 210 with nvidia340 proprietary driver.


$ uname -a
Linux marte 4.14.13-desktop-1.mga6 #1 SMP Wed Jan 10 12:48:53 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
$ cat /proc/driver/nvidia/version 
NVRM version: NVIDIA UNIX x86_64 Kernel Module  340.106  Tue Jan  9 15:10:23 PST 2018
GCC version:  gcc version 5.4.0 (Mageia 5.4.0-5.mga6) 
$ lspcidrake -v | grep VGA
Card:NVIDIA GeForce 8100 to GeForce 415: NVIDIA Corporation|GT218 [GeForce 210] [DISPLAY_VGA] (vendor:10de device:0a65 subv:1043 subd:83f4) (rev: a2)
$ rpm -qa | grep nvidia | sort 
dkms-nvidia340-340.106-1.mga6.nonfree
nvidia340-cuda-opencl-340.106-1.mga6.nonfree
nvidia340-devel-340.106-1.mga6.nonfree
x11-driver-video-nvidia340-340.106-1.mga6.nonfree
$ vdpauinfo 
display: :0   screen: 0
API version: 1
Information string: NVIDIA VDPAU Driver Shared Library  340.106  Tue Jan  9 14:26:01 PST 2018
<SNIP>

CC: (none) => mageia

Comment 3 Len Lawrence 2018-01-20 09:31:33 CET
This has been running for a couple of days now.

Mageia 6 :: x86_64
4.14.13-desktop-1.mga6
Intel(R) Core(TM) i7-2600 CPU @ 3.40GHz
NVIDIA Corporation GF114 [GeForce GTX 555] 
GLX Version: 4.4.0 NVIDIA 340.106

Rebooted to Mate desktop.  No sign of regressions for test programs and graphics intensive applications.  OK for Cinnamon as well.

CC: (none) => tarazed25

Comment 4 Thomas Backlund 2018-01-21 20:11:00 CET
advisory added to svn

Keywords: (none) => advisory

Lewis Smith 2018-01-22 10:09:23 CET

Keywords: (none) => validated_update
CC: (none) => sysadmin-bugs
Whiteboard: (none) => MGA6-64-OK MGA6-32-OK

Comment 5 Mageia Robot 2018-01-22 22:03:14 CET
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0020.html

Resolution: (none) => FIXED
Status: NEW => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.